import { format } from 'd3';
const csvUrl = "https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv";

d3.csv(csvUrl).then(data => {
  const latestDateColumn = data.columns[data.columns.length - 1]
  //console.log(latestDateColumn);
	//console.log(data);
  
  const commaFormater = format(',.0f');
  const deathTotal = data.map(d => +d[latestDateColumn])
 	  .reduce((accum, current) => accum + current, 0);
  const message = commaFormater(deathTotal) + ' deaths' + '\nas of ' + latestDateColumn;
  document.getElementById('root').textContent = message;
});